## ros-melodic-fath-pivot-mount-description 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fath_pivot_mount_description)

find_package(catkin REQUIRED)
catkin_package()

install(
  DIRECTORY
  meshes
  urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-fath-pivot-mount-description (0.1.1-1bionic) bionic; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Tony Baltovski

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 11 Mar 2022 05:00:00 -0000

ros-melodic-fath-pivot-mount-description (0.1.0-1bionic) bionic; urgency=high

  * Renamed to fath_pivot_mount.
  * Contributors: Tony Baltovski

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Fri, 11 Mar 2022 05:00:00 -0000

ros-melodic-fath-pivot-mount-description (0.0.2-1bionic) bionic; urgency=high

  * Remove a copy & paste error in the cmake file that's breaking the install
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 26 Apr 2021 04:00:00 -0000

ros-melodic-fath-pivot-mount-description (0.0.1-1bionic) bionic; urgency=high

  * Initial release
  * Contributors: Chris Iverach-Brereton

 -- Chris Iverach-Brereton <civerachb@clearpathrobotics.com>  Mon, 19 Apr 2021 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-fath-pivot-mount-description
Section: misc
Priority: optional
Maintainer: Chris Iverach-Brereton <civerachb@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-fath-pivot-mount-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-urdf, ros-melodic-xacro
Description: URDF Macro for adding an adjustable, fath pivot mount used for cameras and other sensors

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-fath-pivot-mount-description//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
